#define SHA_HASHBYTES 20

/* Includes four instances of the SHA context for the top butterfly */
typedef struct SHADoubleContext {
	SHA1_CTX			sha0, sha1, sha2, sha3;
	int			odd;
	byte				result[SHA_HASHBYTES*2];
} SHADoubleContext;


void shaDoubleInit(SHADoubleContext *ctx);
void shaDoubleUpdate(SHADoubleContext *ctx, void const *bufParam, word32 len);
void shaDoubleFinal(SHADoubleContext *ctx, unsigned char digest[40]);
